如何从v3.1.1更新到v4并迁移现有地图

从技术上讲,与v4相比,Maps Marker Pro 3.1.1是一个新插件,因此更新过程与通常有所不同:

为了能够更新到v4,首先必须更新到v3.1.1:

导航至插件,然后单击“ Maps Marker Pro”旁边的“手动检查更新”链接:

下一步,单击“立即更新”链接以更新到v3.1.1。

完成对v3.1.1的更新后,您就可以开始安装“ Maps Marker Pro” 4作为新插件了。 因此,请单击“请单击此处以获取更多信息”以继续进行下一步:

这将带您进入“更新到Maps Marker Pro 4”页面。 单击“听起来不错!”按钮,以新插件的形式开始安装。 我想立即更新到Maps Marker Pro 4!”:

安装插件后, 请先停用“ Maps Marker Pro”(v3.1.1),然后再激活“ Maps Marker Pro”(v4):

激活v4之后,您将看到一条管理员通知,该通知将带您进入数据迁移工具页面:

从Maps Marker Pro 4.0开始,标记地图已被弃用,但仍可用于向后兼容。 但是,还需要其他短码属性,以使它们看起来相同。 由于以编程方式执行此操作的风险很高,因此我们要求您手动替换这些短代码。 开始迁移检查,以获取已用标记图及其更新的短代码的列表。 仅能检测到帖子和页面中的简码,因此也请检查您是否在小部件或其他地方使用了任何简码。 单击“检查迁移”按钮开始此检查:

如果您在帖子或页面中使用标记短代码,则会显示结果列表:

下一步,单击“开始迁移”(将地图数据从旧数据库迁移到新数据库架构)。

(自动)迁移完成后,您将看到消息“数据迁移成功完成”:

然后,对每个标记简码外观使用编辑链接,并将相关内容中的标记简码替换为“新简码”行中的简码。 范例:上方萤幕撷取画面中的「事件」讯息使用简码[mapsmarker marker="1"] –必须用[mapsmarker marker="1" basemapDefault="osm" width="640" widthUnit="px" height="480" panel="true"]一次。

在您确认所有数据已正确迁移之前,请不要删除Maps Marker Pro 3.1.1。 我们还建议备份 wp_leafletmapsmarker_layerswp_leafletmapsmarker_markers 数据库表,以便将来有必要时再次运行迁移。

0
0
6634
评价此用户指南

您无权为此帖子评分。

意见或其他问题?

如果您正在寻找技术支持 请点击这里,对于其他所有问题,请 使用我们的联系表格 取得联系! 我们期待着您的回音!

您的Maps Marker Pro团队

en English
X